/// <reference types="node" />
import { Readable } from 'stream';
export declare function optimizePrefixSize(inIx: string): Promise<number>;
export declare function makeIxx(inIx: string, outIxx: string, prefixSizeParam?: number): Promise<void>;
export declare function ixIxx(inText: string, outIx: string, outIxx: string, prefixSize?: number): Promise<void>;
export declare function ixIxxStream(stream: Readable, outIx: string, outIxx: string, prefixSize?: number): Promise<void>;
